# Description Plugin

This unofficial TaleSpire allows writing of descriptions which are displayed on the screen, chat or both.

This plugin, like all others, is free but if you want to donate, use: http://lordashes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

### Configuration

Using the R2ModMan configuration for the plugin allows the following properties to be adjusted:

``Description Display Style``: Determines if the description is shown on the ``screen``, ``chat`` or ``both``.
``Description Screen Display Alignment``: Determines the alignment of the screen description text.            
``Description Screen Display Font Name``: The name of the font for the screen description text. Does not affect chat.
``Description Screen Display Font Style``: The style of the font for the screen description text. Does not affect chat.
``Description Screen Display Font Size``: The size of the font for the screen description text. Does not affect chat.
``Description Screen Display Font Color``: The hex string color of the font for the screen description text. Does not affect chat.
``Description Chat Formatting``: Prefix added to the chat message usually for text formatting. Does not affect screen text.

## Usage

Open the chat bar and prefix the description with the keyword ``/desc`` such as:

``/desc It was a dark and stormy night...``